name: stackfood_multivendor
description: A new Flutter application.
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: ">=3.2.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.8
  get: ^4.7.2
  shared_preferences: ^2.5.3
  connectivity_plus: ^6.1.5
  firebase_core: ^4.1.0
  firebase_messaging: ^16.0.1
  flutter_local_notifications: ^19.4.1
  path_provider: ^2.1.5
  url_strategy: ^0.3.0
  pin_code_fields: ^8.0.1
  geolocator: ^14.0.2
  google_maps_flutter: ^2.12.3
  google_maps_flutter_web: ^0.5.14
  carousel_slider: ^5.1.1
  shimmer_animation: ^2.2.2
  image_picker: ^1.2.0
  universal_html: ^2.2.4
  flutter_inappwebview: ^6.1.5
  url_launcher: ^6.3.2
  http: ^1.5.0
  pointer_interceptor: ^0.10.1+2
  phone_numbers_parser: ^9.0.11
  country_code_picker: ^3.4.0
  cached_network_image: ^3.4.1
  google_sign_in: ^6.2.1
  google_sign_in_web: ^0.12.4+2
  sign_in_with_apple: ^6.1.1
  flutter_facebook_auth: ^6.0.4
  photo_view: ^0.15.0
  dotted_border: ^3.1.0
  share_plus: ^11.1.0
  custom_map_markers: ^0.0.2+1
  card_swiper: ^3.0.1
  expandable_bottom_sheet: ^1.1.1+1
  intl: ^0.20.2
  flutter_slidable: ^4.0.1
  just_the_tooltip: ^0.0.12
  animated_flip_counter: ^0.3.4
  marquee: ^2.3.0
  syncfusion_flutter_datepicker: ^30.2.7
#  firebase_crashlytics: ^4.0.4
  file_picker: ^10.3.2
  path: ^1.9.1
  http_parser: ^4.1.2
  flutter_svg: ^2.2.0
  custom_info_window: ^1.0.1
  flutter_widget_from_html_core: ^0.17.0
  smooth_page_indicator: ^1.2.1
  video_player: ^2.10.0
  chewie: ^1.12.1
  location: ^8.0.1
  permission_handler: ^12.0.1
  firebase_auth: ^6.0.2
  get_thumbnail_video: ^0.7.3
  drift: ^2.28.1
  drift_flutter: ^0.2.5

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^6.0.0

flutter:
  uses-material-design: true

  assets:
    - assets/image/
    - assets/language/
    - assets/map/

  fonts:
    - family: Roboto
      fonts:
        - asset: assets/font/Roboto-Regular.ttf
          weight: 400
        - asset: assets/font/Roboto-Medium.ttf
          weight: 500
        - asset: assets/font/Roboto-Bold.ttf
          weight: 700
        - asset: assets/font/Roboto-Black.ttf
          weight: 900